@import "variables";
@import "helper";
@import "text";

@import url("https://fonts.googleapis.com/css2?family=Lato:wght@100;300;400;700&display=swap");

body {
  background-color: $cloud;
  font-family: "Lato", sans-serif;
}

.App {
  max-width: 650px;
  margin: 0px auto;
  padding: 10px;
}

.form-group {
  position: relative;
  display: flex;
  input {
    display: block;
    width: 100%;
    padding: 0.375rem 3rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 0.25rem;
    height: 35px;
    &::placeholder {
      color: $disabled;
    }
    &:focus-visible {
      outline: 0;
    }
  }
  .magnify {
    position: absolute;
    left: 14px;
    top: 12px;
    color: $disabled;
  }
  .sort {
    width: 30%;
    height: 47px;
    background-color: white;
    position: absolute;
    right: 0;
    top: 0;
    text-transform: uppercase;
    border: 1px solid #ced4da;
    @media only screen and (max-width: 450px) {
      width: 45%;
    }
    cursor: pointer;
    .dropdown-sort {
      width: 100%;
      background-color: white;
      position: absolute;
      top: 50px;
      padding: 10px 0px;
      &.show {
        display: block;
      }
      &.hide {
        display: none;
      }
      p {
        padding: 15px;
        &:hover {
          background-color: #ffece8;
        }
      }
    }
  }
}

.card {
  padding: 1rem;
  background-color: white;
  border-radius: 0.25rem;
  &.box-list-transaction {
    cursor: pointer;
    display: flex;
    align-items: center;
    margin-top: 20px;
    &.check {
      border-left: solid 4px $orange;
    }
    &.success {
      border-left: solid 4px $green;
    }
  }
  .badge {
    border-radius: 0.4rem;
    padding: 8px 15px;
    &.success {
      background-color: $green;
      color: white;
      border: 1px solid $green;
    }
    &.check {
      background-color: white;
      color: black;
      border: 1px solid $orange;
    }
  }
}

.btn-back {
  display: inline-block;
  cursor: pointer;
  font-weight: 400;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  border: 1px solid transparent;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  line-height: 1.5;
  border-radius: 0.25rem;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  color: $orange;
  background-color: transparent;
  background-image: none;
  border-color: $orange;
}
